summaryrefslogtreecommitdiff
path: root/debian/changelog
Commit message (Collapse)AuthorAge
* release 2.0.4debian/2.0.4archive/debian/2.0.4Sean Whitton2020-06-01
|
* enable Multi-Arch: foreignDavid Bremner2020-05-17
| | | | | | | | | | | | Summary of discussion with Helmut. - The main issue is whether there are architecture dependent changes in the behaviour of dh_elpa (not dh_elpa_test since tests are disabled for cross building). - In principle it is possible for Emacs to load native libraries (as "modules"), but this is unlikely to be used by the package.el library we are depending on.
* finalize changelogdebian/2.0.3archive/debian/2.0.3David Bremner2020-04-19
|
* Rules-Requires-Root: noDaniel Kahn Gillmor2020-01-17
|
* Set debhelper-compat version in Build-Depends.Daniel Kahn Gillmor2020-01-17
| | | | | Fixes lintian: uses-debhelper-compat-file See https://lintian.debian.org/tags/uses-debhelper-compat-file.html for more details.
* Bump debhelper from old 10 to 12.Daniel Kahn Gillmor2020-01-17
| | | | | Fixes lintian: package-uses-old-debhelper-compat-version See https://lintian.debian.org/tags/package-uses-old-debhelper-compat-version.html for more details.
* Update standards version to 4.4.1, no changes needed.Daniel Kahn Gillmor2020-01-17
| | | | | Fixes lintian: out-of-date-standards-version See https://lintian.debian.org/tags/out-of-date-standards-version.html for more details.
* Use secure copyright file specification URI.Daniel Kahn Gillmor2020-01-17
| | | | | Fixes lintian: insecure-copyright-format-uri See https://lintian.debian.org/tags/insecure-copyright-format-uri.html for more details.
* close bugSean Whitton2019-10-05
|
* dh_elpa_test(1): Note exit code requirement in docs for ert_helperSean Whitton2019-10-05
|
* Clean up trailing whitespace in this changelog.Nicholas D Steeves2019-09-14
|
* Fix typos in dh_elpa documentation.Nicholas D Steeves2019-09-14
|
* update changelogdebian/2.0.2archive/debian/2.0.2David Bremner2019-09-14
|
* upload 2.0.2 to unstableDavid Bremner2019-09-14
|
* bump versiondebian/2.0.1archive/debian/2.0.1David Bremner2019-09-02
|
* fix errors discovered by lintianDavid Bremner2019-09-02
|
* drop sedding of perl filesdebian/2.0archive/debian/2.0David Bremner2019-09-02
| | | | | The embedding of the version is not used, so no point in paying for the extra complication
* initial attempt at moving maint scripts into helper packageDavid Bremner2019-09-02
| | | | This commit is a bit bug, but at least it is atomic.
* set urgency to high.debian/1.16archive/debian/1.16David Bremner2019-01-24
| | | | | In the event this is a serious issue, let's not unnecessarily delay rebuilding build-rdeps.
* version 1.16: unset HOMEDavid Bremner2019-01-24
|
* finalize changelogdebian/1.15archive/debian/1.15David Bremner2018-10-20
|
* Support optional preservation of relative paths in debian/elpaDavid Bremner2018-09-23
| | | | | This is mainly intended to support non-emacs-lisp support files needed by elpa packages.
* expand (Build)-Depends on emacs*debian/1.14archive/debian/1.14David Bremner2018-09-08
| | | | | On current debian this should bring in the unversioned packages. It should also be buildable / co-installable with emacs-lucid
* Support an elpa version number of 0.David Bremner2018-08-19
| | | | | 0 is still not a valid Name or Description, but it could be if people think that's useful.
* Close another bug.David Bremner2018-08-19
| | | | It turned out to be not so hard to remove the limitation.
* initial support for ELPA_NAMEDavid Bremner2018-08-18
| | | | This should allow non elpa-$foo binary packages. It needs to be documented.
* Update watch file to check salsa instead of anonscm.debian.orgNicholas D Steeves2018-05-22
|
* Update Vcs links to point to salsa project.Nicholas D Steeves2018-05-22
|
* Update Maintainer team name and email address.Nicholas D Steeves2018-05-22
|
* changelog for 1.13debian/1.13archive/debian/1.13David Bremner2018-03-16
|
* update changelog, per Sean's suggestionsDavid Bremner2018-01-21
|
* close bug 886253David Bremner2018-01-07
| | | | Also reset distribution to hint the package needs more review before upload.
* set distribution to experimentalDavid Bremner2018-01-07
|
* replace --elisp-directory with --emacs-loadpathDavid Bremner2018-01-06
| | | | | Rather than joining multiple arguments, just pass through the path provided by the user. And actully use the path for byte compilation
* update changelog for --elisp-directory argumentDavid Bremner2018-01-06
|
* Add changelog entry for --quick changeDavid Bremner2018-01-06
|
* Update changelogNicholas D Steeves2017-08-23
|
* 1.11: disable dh-elpa-VersionDavid Bremner2017-08-04
|
* finalize changelog for 1.10David Bremner2017-08-03
|
* note remove script fix in changelogDavid Bremner2017-08-03
|
* update changelog for maintscripts changesDavid Bremner2017-08-02
|
* add dh-elpa-Version: binary package fieldSean Whitton2017-08-02
| | | | | | | | | | There is a debhelper mechanism for dh_* tools to embed their versions in generated maintscripts, but our emacsen-common maintscripts are not true maintscripts, so we can't use that mechanism. Using a binary package field makes it possible for us to find packages that need rebuilding without looking inside the contents of any binary packages.
* release 1.9debian/1.9archive/debian/1.9Sean Whitton2017-08-02
|
* bump debhelper compatSean Whitton2017-08-02
|
* drop emacs24 depsSean Whitton2017-08-02
|
* upload 1.8 to unstabledebian/1.8archive/debian/1.8Sean Whitton2017-07-08
|
* bump std-verSean Whitton2017-07-08
|
* drop Built-Using everywhereSean Whitton2017-07-08
|
* relicense maintainer scripts under CC0David Bremner2017-07-07
| | | | | | | | Some notes - I follow debhelper in not embedding license info in every snippet - embedding the entire CC0 license in d/copyright is a bit meh, but it's the same number of bytes as a seperate file
* release 1.7 to unstableSean Whitton2017-06-18
|